<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.2040
Name: Ansprechpartner
Description: Fachlicher Ansprechpartner
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.2040-2015-12-14T000000">
   <title>Ansprechpartner</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]
Item: (Ansprechpartner)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]
Item: (Ansprechpartner)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]"
         id="tmp-r-94137dff-47a9-4d6a-9c68-22e26d814dc1">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="string(@typeCode)=('CALLBCK')">(Ansprechpartner): Der Wert von @typeCode MUSS 'CALLBCK' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Ansprechpartner): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.2040'])&gt;=1 and not(hl7:templateId[@root='1.2.276.0.76.10.2040']/@nullFlavor)">(Ansprechpartner): Element hl7:templateId[@root='1.2.276.0.76.10.2040'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(Ansprechpartner): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Ansprechpartner): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:templateId[@root='1.2.276.0.76.10.2040']
Item: (Ansprechpartner)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:templateId[@root='1.2.276.0.76.10.2040']"
         id="tmp-r-e6cd2fb5-26e4-4130-a300-cb567f1d9b51">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ansprechpartner): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="string(@root)=('1.2.276.0.76.10.2040')">(Ansprechpartner): Der Wert von @root MUSS '1.2.276.0.76.10.2040' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Ansprechpartner): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity
Item: (Ansprechpartner)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity"
         id="tmp-r-f3ca616b-390e-4996-a1f6-dbcc0310a922">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="string(@classCode)=('PROV')">(Ansprechpartner): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Ansprechpartner): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(Ansprechpartner): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(Ansprechpartner): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(Ansprechpartner): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:telecom
Item: (Ansprechpartner)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-3cd7639c-6f5a-4c41-88a5-ef8667154a69">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Ansprechpartner): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.2040
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:associatedPerson
Item: (Ansprechpartner)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-640b1c2b-a807-4952-8c54-d9aaa5fcf2e1">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(Ansprechpartner): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(Ansprechpartner): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Ansprechpartner): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.2040-2015-12-14T000000.html"
              test="count(hl7:name)&lt;=1">(Ansprechpartner): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']][hl7:templateId/@root='1.2.276.0.76.10.2040']]/hl7:participant[hl7:templateId[@root='1.2.276.0.76.10.2040']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-6dd643ce-ee89-4c13-b68e-38990967c34b">
      <assert role="error"
              see="http://hl7de.art-decor.org/uelmgmt-html-20160126T101109/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
</pattern>
